Update a group member
curl --request PATCH \
--url https://api.notion.com/admin/v1/spaces/{space_id}/groups/{group_id}/members/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '{}'import requests
url = "https://api.notion.com/admin/v1/spaces/{space_id}/groups/{group_id}/members/users/{user_id}"
payload = {}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.notion.com/admin/v1/spaces/{space_id}/groups/{group_id}/members/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "group_membership",
"group_id": "<string>",
"member": {
"type": "user",
"user_id": "<string>"
},
"role": "owner"
}{
"object": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"object": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"object": "error",
"code": "restricted_resource",
"status": 403,
"message": "Forbidden."
}{
"object": "error",
"code": "object_not_found",
"status": 404,
"message": "Not found."
}{
"object": "error",
"code": "conflict_error",
"status": 409,
"message": "The request conflicts with the current resource state."
}{
"object": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"object": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}{
"object": "error",
"code": "service_unavailable",
"status": 503,
"message": "Service temporarily unavailable."
}Permission groups
Update a group member
Change a direct member’s role in an admin-managed permission group.
PATCH
/
v1
/
spaces
/
{space_id}
/
groups
/
{group_id}
/
members
/
users
/
{user_id}
Update a group member
The organization bot token must have the following scopes:
permission-group:write
role to owner or member. Restricted members cannot be group owners.
SCIM-managed memberships must be changed through the configured identity provider. Trying to update one returns a 409 conflict_error.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Path Parameters
The ID of the group.
The ID of the user.
Body
application/json
The user's new role in the group.
Available options:
owner, member ⌘I